require 'active_support'
require 'jwt'

require 'verse/controller/strong_params'

module Verse
  module Controller
    extend ActiveSupport::Concern

    include Verse::Controller::StrongParams

    included do
      before_action :set_user_token
      helper_method :current_user
    end

    def current_user
      if Verse.user_token
        data = JWT.decode(Verse.user_token, nil, false)[0]['data']
        Verse::Auth::User.new(
          id: data['user_id'],
          name: data['name'],
          email: data['email'],
          username: data['username']
        )
      end
    end

    def set_user_token
      Verse.user_token = cookies[:user_token]
    end
  end
end
