module Verse
  module Controller
    module StrongParams
      # Verse::Auth / Verse::Contactable
      def email_attributes; end

      # Verse::Auth
      def session_attributes
        params.require(:session).permit(:login, :password)
      end

      def user_attributes
        params.require(:user).permit(:name, :username, :email, :password, :password_confirmation)
      end

      # Verse::Core
      def entity_attributes
        params.require(:entity).permit(:name, :slug, { admins_attributes: [:admin_id] })
      end

      def person_attributes
        params.require(:person).permit(:name, :slug, { admins_attributes: [:admin_id] })
      end

      def business_attributes
        params.require(:business).permit(:name, :slug, { admins_attributes: [:admin_id] })
      end

      def household_attributes
        params.require(:household).permit(:name, { admins_attributes: [:admin_id] })
      end

      # Verse::Relatable
      def admin_attributes; end
    end
  end
end
